Changes

Jump to navigation Jump to search
Line 33: Line 33:  
* Updates: https://octave.discourse.group/t/using-c-17-features/1026
 
* Updates: https://octave.discourse.group/t/using-c-17-features/1026
 
* Allow using more modern C++ dialects (C++17 STL std::filesystem or boost::filesystem)?
 
* Allow using more modern C++ dialects (C++17 STL std::filesystem or boost::filesystem)?
 +
** qt6 requires C++17 https://www.qt.io/blog/qt-6.0-released
 +
** gcc 8.x (2018) still not C++17 feature complete (e.g. std::filesystem cannot fully be used, no benefit)
 +
*** https://en.cppreference.com/w/cpp/compiler_support#cpp17
 +
*** https://gcc.gnu.org/onlinedocs/libstdc++/manual/status.html#status.iso.2017
 +
 +
General consensus was to stay with C++11 until a "killer application" shows up that would really changing to a newer standard.
    
=== Short introduction: SavannahAPI ===
 
=== Short introduction: SavannahAPI ===

Navigation menu